 
#include <avr/power.h>
#include <avr/sleep.h>
#include <avr/wdt.h>
 
const int Voie_3 =4;

void setup()
{
	Serial.begin(115200);
	pinMode(Voie_3, OUTPUT);

 	/* Clear the reset flag. */
 	MCUSR &= ~(1<<WDRF);
 
 	/* In order to change WDE or the prescaler, we need to
  	* set WDCE (This will allow updates for 4 clock cycles).
  	*/
 	WDTCSR |= (1<<WDCE) | (1<<WDE);

 	/* set new watchdog timeout prescaler value */
 	//WDTCSR = 1<<WDP0 | 1<<WDP3; /* 8.0 seconds */
 	WDTCSR =  0b01000000 | 0b100000 ;
 
 	/* Enable the WD interrupt (note no reset). */
 	WDTCSR |= _BV(WDIE);
  	// Configuration du type de sleep
    	set_sleep_mode(SLEEP_MODE_PWR_DOWN);
 
    	// Autorisation du mode sleep
    	sleep_enable();
}

void loop ()
{
   	sei();
    	// Activation du mode sleep
   	sleep_mode();
    
	Serial.println("reveil");
    	digitalWrite(Voie_3,HIGH);
    	// CPU en mode sleep,
    	delay(500);
    
   	digitalWrite(Voie_3,LOW);
   
   	delay(500);   
}

ISR( WDT_vect )
{
  	/* dummy */
}
 
